import { ViewBase } from '../../libappbase/viewbase';
import { ButtonParametersContextMenuItem } from '../actionbarpages/abp.data';
import { AppMP } from '../appmp';
import { FormUnitsOfMeasure } from '../forms/form.unitsofmeasure';

/**
 * Data > Parameters > Units of Measure view
 */
export class ViewUnitsOfMeasure extends ViewBase {
  public readonly name = 'View UOM definitions';
  public readonly viewPath = 'Data > Parameters > Units of Measure';

  public formUnitsOfMeasure = new FormUnitsOfMeasure();

  /**
   * Switch to Units of Measure view
   */
  public async switchTo(): Promise<void> {
    const appMP = AppMP.getInstance();
    // Click Data action bar page
    await appMP.abpData.click();
    await appMP.abpData.btnParameters.clickDropdownAndSelectMenu(ButtonParametersContextMenuItem.UnitOfMeasure);
    await this.formUnitsOfMeasure.waitUntilPresent();
  }
}
